/* global styles */
main{
    margin: 0;
}

.space-grotesk {
    font-family: "Space Grotesk", monospace;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    text-align: left;
    color: #E20909;
}

/* nav styling */
nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-link {
    text-decoration: none;
}

.nav-line {
    border-top: 1.5px solid #E20909;
}

/* main content styling */

.image {
    height: auto;
}


/* footer styling */

footer {
    position: absolute;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.footer-text {
    display: flex;
    flex-direction: column;
}

/* footer anchor to bottom */
footer {
    margin-top: auto;
    position: relative;
    bottom: 0;
}

/* shape styling */


.confetti-shape {
    background-size: contain;
    background-repeat: no-repeat; /* Prevent background from repeating */
    position: absolute;
}

.circle-shape {
    background-size: contain;
    background-repeat: no-repeat; /* Prevent background from repeating */
    position: absolute;
}

.star-shape {
    background-size: contain;
    background-repeat: no-repeat; /* Prevent background from repeating */
    position: absolute;
}


/* homepage styles */
.grid-content {
    display: grid;
    justify-content: space-between;
    
}


/* Media query for laptops */
@media screen and (min-width: 600px) {
    /* global styles */
    .heading{
        font-size: 64pt;
        line-height: 1;
    }
    
    .subheading{
        font-size: 18pt;
        line-height: 1.5;
    }
    
    .body{
        font-size: 12pt;
        line-height: 1.5;
    }

    /* nav styling */
    nav{
        padding: 20px 100px;
        width: 100vw;
        height: 7vh;
    }

    .nav-link {
        margin-top: 10px;
    }

    .nav-line {
        margin-top: 10px;
    }

    /* main content styling */

    .landing {
        display: flex;
        justify-content: center; 
        align-items: flex-end; 
        padding-top: 53px;
        padding-bottom: 53px;
    }
    
    .text-container-main {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        align-items: center; 
        margin-left: 90px;
        padding-right: 20px;
    }
    
    .text-container-main h1 {
        margin-bottom: 30px; 
    }
    
    .image-container-main {
        display: flex;
        justify-content: center;
        align-items: flex-end; 
        padding-left: 20px;

    }
    .image {
        max-width: 70%;
    }


    /* footer styling */

    footer {
        padding: 20px 100px 20px;
        border-top: 1.5px solid #E20909;
        background-color: white;
    }

    .footer-content {
        width: 100%;
    }

    .icons {
        max-width: 10vw;
        max-height: 10vh;
    }

    /* shape styling */


    .confetti-shape {
        width: 50px;
        height: 25px;
    }

    .circle-shape {
        width: 25px;
        height: 25px;
    }

    .star-shape {
        width: 50px;
        height: 50px;
    }


    /* homepage styles */
    .grid-content {
        grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
        padding: 10px;
        gap: 20px; 
        margin: 10px;
    }

}

/* Media query for phones */
@media screen and (max-width: 600px) {
 /* global styles */
 .heading{
    font-size: 32pt;
    line-height: 1;
}

.subheading{
    font-size: 12pt;
    line-height: 1.5;
}

.body{
    font-size: 9pt;
    line-height: 1.5;
}

/* nav styling */
nav{
    padding: 5% 5%;
    width: 100%;
    height: 1vh;
}

.nav-link {
    margin-top: 10px;
}

.nav-line {
    margin-top: 10px;
}

/* main content styling */

.landing {
    padding-top: 10%;
    padding-bottom: 10%;
}

.text-container-main {
    margin-left: 10%;
    max-width: 80vw;
    margin-bottom: 5%;
}

.text-container-main h1 {
    margin-bottom: 8%; 
}

.image-container-main {
    padding-left: 10%;
}
.image {
    max-width: 90%;
}

/* footer styling */

footer {
    padding: 5% 5% 5%;
    border-top: 1.5px solid #E20909;
 }

.footer-content {
    width: 100%;
}

.icons {
    max-width: 15vw;
    max-height: 15vh;
}

/* shape styling */


.confetti-shape {
    width: 25px;
    height: 12.5px;
}

.circle-shape {
    width: 12.5px;
    height: 12.5px;
}

.star-shape {
    width: 25px;
    height: 25px;
}


/* homepage styles */
.grid-content {
    grid-template-columns: repeat(auto-fill, minmax(5%, 1fr));
    padding: 5%;
    gap: 5%; 
    margin: 5%;
}
}